org.gcube.vremanagement.whnmanager.utils

## Class ValidationUtils

- java.lang.Object
- - org.gcube.vremanagement.whnmanager.utils.ValidationUtils

    public class ValidationUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ValidationUtils()`

### Method Summary

Methods
`static <R extends org.gcube.common.resources.gcore.Resource> boolean` `isNotPresent(R resource, String currentScope)`
`static void` `valid(String name, Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidationUtils

    public ValidationUtils()

### Method Detail

#### valid

    public static void valid(String name,
             Object object)

#### isNotPresent

    public static <R extends org.gcube.common.resources.gcore.Resource> boolean isNotPresent(R resource,
                                                                             String currentScope)